import { ProcessorOptions } from '@mdx-js/mdx';
import { L as LoaderOptions, S as StructurizedData, R as ReadingTime } from './types-b76e5759.js';
import 'gray-matter';
import 'mdast';
import 'next';
import 'react';
import 'rehype-pretty-code';
import 'webpack';

type MdxOptions = LoaderOptions['mdxOptions'] & Pick<ProcessorOptions, 'jsx' | 'outputFormat'>;
declare function compileMdx(source: string, loaderOptions?: Pick<LoaderOptions, 'staticImage' | 'flexsearch' | 'defaultShowCopyCode' | 'readingTime' | 'latex' | 'codeHighlight'> & {
    mdxOptions?: MdxOptions;
    route?: string;
    locale?: string;
}, { filePath, useCachedCompiler, isPageImport }?: {
    filePath?: string | undefined;
    useCachedCompiler?: boolean | undefined;
    isPageImport?: boolean | undefined;
}): Promise<{
    frontMatter: {
        [key: string]: any;
    };
    searchIndexKey?: string | undefined;
    structurizedData?: StructurizedData | undefined;
    readingTime?: ReadingTime | undefined;
    title?: string | undefined;
    hasJsxInH1?: true | undefined;
    result: string;
}>;

export { compileMdx };
