import { a as PageMapItem, D as DynamicMetaDescriptor, F as FileMap } from './types-b76e5759.js';
import '@mdx-js/mdx';
import 'gray-matter';
import 'mdast';
import 'next';
import 'react';
import 'rehype-pretty-code';
import 'webpack';

type PageMapProps = {
    filePath: string;
    items: PageMapItem[];
    fileMap: FileMap;
    defaultLocale: string;
};
declare function getDynamicMeta(path: string, items: PageMapItem[], locale?: string): [DynamicMetaDescriptor[], PageMapItem[]];
declare function resolvePageMap({ filePath, items, fileMap, defaultLocale }: PageMapProps): {
    route: string;
    pageMap: PageMapItem[];
    dynamicMetaItems: DynamicMetaDescriptor[];
};

export { getDynamicMeta, resolvePageMap };
